Bug 15407 - fr dvorak keyboard seems to be an illegal variant of Leboutte's dvorak-fr
Summary: fr dvorak keyboard seems to be an illegal variant of Leboutte's dvorak-fr
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium major
Assignee: xkb
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 36458
  Show dependency treegraph
 
Reported: 2008-04-08 11:55 UTC by Gaëtan Lehmann
Modified: 2011-04-29 00:06 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gaëtan Lehmann 2008-04-08 11:55:43 UTC
Hi,

The keyboard layout fr variant dvorak by Josselin Mouette seems to be an illegal variant of the dvorak-fr¹ of Francis Leboutte, which is distributed under the non free license CC-BY-NC-ND².
As a variation of a layout not allowed by the primary author, this layout shouldn't be packaged with X.Org.

Regards,

Gaëtan

¹ http://algo.be/ergo/dispositions.htm
² http://algo.be/ergo/licence.htm
Comment 1 Sergey V. Udaltsov 2008-04-08 12:50:36 UTC
I wrote to the author asking permission to keep using our layout. Let's wait for comments...
Comment 2 Francis Leboutte 2008-04-09 06:35:35 UTC
(In reply to comment #1)
> I wrote to the author asking permission to keep using our layout. Let's wait
> for comments...
> 

Hello Sergey,

I'm very happy that you contact me about the Dvorak-fr layout in Linux. Actually, I wanted to contact the Linux community for a while about this.

Yes, according to me, Joselin Mouette layout is an illegal variant of my layout (Dvorak-fr). He never asked me for permission to issue a variant and has never sent me any message at all.

As a matter of fact, I would like the Linux community to use the genuine Dvorak-fr layout under its true name and bring recognition to me for this. I'm not a specialist of Linux and can't make a Linux driver myself, but there is one on my site you could probably use, look at:
http://www.algo.be/ergo/pilotes.htm#linux

However, I don't know its conformance level to the Dvorak-fr specifications. It looks like it is not easy to make a Linux keyboard driver that implements the features described in the Dvorak-fr specifications. BTW, it’s easily implemented under Windows. Maybe one of the few areas where Windows is better than Linux…

Notice it looks like there are just a very few differences between Mouette variant and the genuine Dvorak-fr.

And I have also designed a Dvorak-fr-e layout that is suitable to type French and most of the other languages of Western Europ. It seems this one is largely used. See both layouts here:
http://www.algo.be/ergo/dispositions.htm

Francis

PS
Even if don't really use Linux myself, I often make the promotion of Linux and some free solutions to my customers and friends. I'm contributing to some free projects or release some my self like this one:
http://www.algo.be/cl/dialogue/index.htm (in English)
A page in my site I wrote a while ago where I make the promotion of the free world:
http://www.algo.be/logo1/logiciel-libre.html (in French).
Comment 3 Sergey V. Udaltsov 2008-04-09 07:15:31 UTC
Hello Francis

Thanks for replying to my questions.

> Yes, according to me, Joselin Mouette layout is an illegal variant of my layout
> (Dvorak-fr). He never asked me for permission to issue a variant and has never
> sent me any message at all.
Too bad:(
 
> As a matter of fact, I would like the Linux community to use the genuine
> Dvorak-fr layout under its true name and bring recognition to me for this. I'm
Currently, the layout created by Joselin is named as "dvorak". In GUI it is displayed as "France - (Legacy) Dvorak". Is this wrong? Of course, missing credits to you will be inserted into the source code anyway!

> not a specialist of Linux and can't make a Linux driver myself, but there is
> one on my site you could probably use, look at:
> http://www.algo.be/ergo/pilotes.htm#linux
I looked at that archive. It is created by Nicolas Royackkers and licensed under GPL - so unfortunately we cannot use it in our code. There may be a couple of some minor technical problems - but they are not essential, comparing to the incompatible license.

> looks like it is not easy to make a Linux keyboard driver that implements the
> features described in the Dvorak-fr specifications. 
Actually it is relatively easy, if you do not do tricky things;)

> BTW, it’s easily
> implemented under Windows. Maybe one of the few areas where Windows is better
> than Linux…
Yes, MSWin provides some tools, while in X you have to use just text editor. But this is going to change soon I hope.

> Notice it looks like there are just a very few differences between Mouette
> variant and the genuine Dvorak-fr.
Would you be able to check existing variant, tell me the differences - if I provide you with the picture of the layout?

> And I have also designed a Dvorak-fr-e layout that is suitable to type French
> and most of the other languages of Western Europ. It seems this one is largely
> used. See both layouts here:
> http://www.algo.be/ergo/dispositions.htm
Well, may be we should consider including it as well. But for a moment I'd like to clarify the situation with existing layout, first, if you don't mind.

It's a pleasure to know that you understand and share the values of Free Software and Open Source. For us, it means that our sincere wish to straighten the issue with fr(dvorak) meets good will from your side.

Thanks again for coming here.
Comment 4 Josselin Mouette 2008-04-17 14:38:32 UTC
Francis, things like a keyboard layout are not subject to copyright law and you cannot claim authorship on them. Of course, you are the legitimate author of the Windows keymap, but I didn’t even had a look at this work. This is similar to implementing a network protocol: you have copyright on the implementation, but not on the protocol itself. The work I did for the fr-dvorak X keymap (now integrated in X.org) was loosely based on fr-latin9 and not on the Windows fr-dvorak keymap. Just because it looks similar doesn’t mean your copyright applies on it. 

I have already stated that my work on dvorak(fr) can be distributed under the X.org license, and I don’t think there is rationale to remove it from the X.org distribution.
Comment 5 Josselin Mouette 2008-04-17 14:59:50 UTC
Now, for the technical points: the main reason why the X keymap is different from the Windows keymap is that the Windows keymap (just like the French azerty Windows keymap) doesn’t treat accents like it should. In French, an accented character like é is more frequent than many unaccented letters, and you must treat it just like other characters. *That includes providing a capital version.*

The “Académie française” explains the rationale things on its website: http://www.academie-francaise.fr/langue/questions.html#accentuation 

The other modifications were mainly convenience to be able to use the keyboard to code, and not only to type text. In fact, this part is still much perfectible, and I think the placement of punctuation characters should be rethought from scratch. As for the characters accessible through AltGr or Maj+AltGr, they should also be rethought, probably based on the fr(oss) keymap, as its authors have done a great job of thinking of which characters need to be accessible.
Comment 6 Francis Leboutte 2008-07-06 12:40:07 UTC
In reply to comment #4 and #5 from Josselin Mouette

First of all, sorry for the delay.. 
You are plain wrong on the license and protection point: any original work of authorship can be protected, including a keyboard layout. Notice also my work has been registred thanks to IDDN, look at:
http://www.iddn.org/
and
https://www.legalis.net/cgi-iddn/certificat.cgi?IDDN.BE.010.0107179.000.R.P.2006.035.31500 

BTW nobody will trust you when you say:
“The work I did for the fr-dvorak X keymap (now integrated in X.org) was loosely based on fr-latin9 and not on the Windows fr-dvorak keymap. Just because it looks similar…” 
Actually it’s almost identical!

You are plain wrong on the second point too (“Now, for the technical points…”): the Dvorak-fr layout has all the necessary accented vowels and their capital version, just look here:
http://www.algo.be/ergo/dispositions.htm#speciaux
and especially at the map, also available in PDF:
http://www.algo.be/ergo/imprime/dvorak-fr-touche-morte-accent-grave.pdf



Comment 7 Francis Leboutte 2008-07-06 12:42:58 UTC
(In reply to comment #3)

Hello Sergey,

Finally I'm here again, sorry for the delay.

About the “the incompatible license” which is the main concern: would it be possible to have a 2 facets license, I mean a license like the one you want for the Linux (free) world and the current one for the rest of the galaxy?

Francis
Comment 8 Josselin Mouette 2008-07-07 00:57:09 UTC
(In reply to comment #6)
> BTW nobody will trust you when you say:
> “The work I did for the fr-dvorak X keymap (now integrated in X.org) was
> loosely based on fr-latin9 and not on the Windows fr-dvorak keymap. Just
> because it looks similar…” 
> Actually it’s almost identical!

No, the *layout* is almost identical. The work itself (the keymap file) is loosely based on fr-latin9, not on your work. 

> You are plain wrong on the second point too (“Now, for the technical
> points…”): the Dvorak-fr layout has all the necessary accented vowels and
> their capital version, just look here:
> http://www.algo.be/ergo/dispositions.htm#speciaux

Dead keys are absolutely awful to use, you cannot claim accented vowels are available in a straightforward way. Again, in French, *accents have full orthographic value* and you must treat accented letters the same way as regular letters. Meaning maj+à should give À, not ç. Because when you type maj+a, you get a A, not a c. Just because AZERTY is badly designed in this way does not mean you need to keep its stupidity when designing a new keymap from scratch.

(In reply to comment #7)
> About the “the incompatible license” which is the main concern: would it be
> possible to have a 2 facets license, I mean a license like the one you want for
> the Linux (free) world and the current one for the rest of the galaxy?

If Sergey really wants to support your claims on the copyright (which, again, is not required), yes, this is possible to distribute a work under a dual license, the current one and a free one. However a free license would of course mean it would be allowed to change the layout.
Comment 9 Francis Leboutte 2008-07-13 10:08:28 UTC
(In reply to comment #8)

> Dead keys are absolutely awful to use, you cannot claim accented vowels are
> available in a straightforward way. Again, in French, *accents have full
> orthographic value* and you must treat accented letters the same way as regular
> letters. Meaning maj+à should give À, not ç. Because when you type maj+a,
> you get a A, not a c. Just because AZERTY is badly designed in this way does
> not mean you need to keep its stupidity when designing a new keymap from
> scratch.

"I must treat accented letters the same way as regular letters", really? Uppercase accented vowels actually occur very infrequently. I never have to type a single Ù in my life. Funny.

“Dead keys are absolutely awful to use” is another gratuitous assertion. Like many other I think to the contrary that using dead keys is the best approach to manage most of the accented vowels and special characters especially when typing a double characters keychord with both hand.

Francis
Comment 10 Josselin Mouette 2008-07-15 01:08:29 UTC
(In reply to comment #9)
> "I must treat accented letters the same way as regular letters", really?
> Uppercase accented vowels actually occur very infrequently. I never have to
> type a single Ù in my life. Funny.

As no word in French starts with ù, you will only use it in full capitals: OÙ VAS-TU ? So indeed, you only need to set it as being available when caps lock is on, not when you type Maj+ù. But really, that’s the only one. Other accented vowels and ç are much more frequent in French than some consons.

> “Dead keys are absolutely awful to use” is another gratuitous assertion.

No, control+key or altGr+key is *much* faster than using a dead key which you have to release first. Think two movements instead of one. Many people will refuse to use a keyboard imposing the use of compose or dead keys to reach frequently-used letters.

> Like many other I think to the contrary that using dead keys is the best
> approach to manage most of the accented vowels and special characters
> especially when typing a double characters keychord with both hand.

Synchronizing both hands is much harder than synchronizing two fingers of the same hand. This is precisely one of the reasons why dvorak layouts are so good: when you type three consecutive letters in a single movement with one hand, you never make a mistake, while typing two consecutive letters with both hands will often result in an inversion, so you have to limit your typing speed.
Comment 11 Francis Leboutte 2008-07-31 09:31:05 UTC
Josselin,

> Synchronizing both hands is much harder than synchronizing two fingers of the
> same hand. This is precisely one of the reasons why dvorak layouts are so good:
> when you type three consecutive letters in a single movement with one hand, you
> never make a mistake, while typing two consecutive letters with both hands will
> often result in an inversion, so you have to limit your typing speed.
> 

Once again you talk rubbish, showing you know nothing about Dvorak layout principles and ergonomics. This is an excerpt from a document you can easily find on the web:
“Another easily understood vice of the QWERTY keyboard has to do with alternation of hands. Whenever the left and right hands type alternate letters, one hand can be getting into position for the next letter while the other hand is typing the previous one. You can thereby fall into a steady rhythm and type quickly. In reality, though, even a good typist’s speed is seldom steadily maintained. It repeatedly shifts between fast bursts and slow stutters within even a few seconds, and many of the stutters arise from strings of consecutive letters typed by the same hand. … The Dvorak keyboard instead forces you to alternate hands frequently.”

Anyway this conversation is more and more out of topic and this will be my last post to you.

Francis
Comment 12 Francis Leboutte 2008-07-31 09:33:13 UTC
(In reply to comment #3)

Hello Sergey,

Finally a new Dvorak-fr layout driver for Linux with the license you want is available at

http://www.algo.be/ergo/pilotes.htm#linux 

I think it implements exactly the specifications of Dvorak-fr layout.

I hope it will meet your requirements and you could include it.

Regards,

Francis


Comment 13 Sergey V. Udaltsov 2008-08-03 15:30:48 UTC
Committed to git. Is everybody reasonably happy at that point? Josselin?
Comment 14 Agnès Zietek 2008-08-04 05:25:10 UTC
(In reply to comment #13)
> Committed to git. Is everybody reasonably happy at that point? Josselin?
> 

Since there is no official Dvorak keyboard in France, the use of the name “fr/dvorak” should be avoided because of the confusion with other projects which are building french layouts à la Dvorak: fr-dvorak-bepo (www.clavier-dvorak.org), dvoraj-fr (www.aoeui.fr) and maybe others.
Switching from Mouette's layout to Leboutte's one is a good opportunity to change the names. I would propose to use the variant names “leboutte”, “bepo” and “dvoraj”, or even the project names “Dvorak-fr”, “fr-dvorak-bepo” and “dvoraj-fr” in place of the current names.
Comment 15 Sergey V. Udaltsov 2008-08-04 05:37:53 UTC
I do not mind to have a couple of dvorak-like variants - but one them should be "dvorak", just not to break things badly for people having the word "dvorak" in their xorg.conf files. We can change what layout/variant is mapped to - but I do not like dropping variants altogether. Since Francis was historically the first one who coined "french dvorak" variant (CMIIW), I think he deserves the right to keep that name.
Comment 16 Gaëtan Lehmann 2008-08-04 07:10:00 UTC
(In reply to comment #15)
> I do not mind to have a couple of dvorak-like variants - but one them should be
> "dvorak", just not to break things badly for people having the word "dvorak" in
> their xorg.conf files. We can change what layout/variant is mapped to - but I
> do not like dropping variants altogether. Since Francis was historically the
> first one who coined "french dvorak" variant (CMIIW), I think he deserves the
> right to keep that name.
> 

Hi Sergey,

I must disagree with you on that point: being the first french dvorak layout gives to Francis the right to take the “Dvorak-Fr” name, but it doesn't give him the status of the french dvorak layout, that the name in X.Org would suggest. In my opinion, a variant of the original Dvorak layout, like the dvoraj-fr, would be a better candidate for the name “dvorak” in the french section.
I understand the need to keep a working configuration for the users of Josselin's layout though, so maybe another option would be possible, like tagging the “dvorak” variant as deprecated or something like that? That way X.Org would be able to wait for a consensus on users side to make a decision.

Also, I feel that further clarification is needed in the driver about the license: how can it be diffused as part of a GPL program, which allow to modify the code and make a commercial usage of the program? It seems clearly incompatible to me.

Gaëtan
Comment 17 Sergey V. Udaltsov 2008-08-04 15:24:35 UTC
> I must disagree with you on that point: being the first french dvorak layout
> gives to Francis the right to take the “Dvorak-Fr” name, but it doesn't
> give him the status of the french dvorak layout,
Is there some body which would approve the "dvorak" name usage? We can argue till the rest of our lives...

> suggest. In my opinion, a variant of the original Dvorak layout, like the
> dvoraj-fr, would be a better candidate for the name “dvorak” in the french
> section.
Since historically (CMIIW), joselline's variant was a derivative, I'd prefer to see it that way:

- "dvorak" variant pointing to Francis's version
- "dvoraj" variant pointing to Joselline's version. I'd love to see it implemented as "include "dvorak" + all the changes which Joselline thinks might be necessary.

Joselline, would you mind that scheme? Would you be able to make a patch for it?

> Josselin's layout though, so maybe another option would be possible, like
> tagging the “dvorak” variant as deprecated or something like that? 
Technically, there is no "deprecated" tag for the variants.

> Also, I feel that further clarification is needed in the driver about the
> license: how can it be diffused as part of a GPL program, which allow to modify
> the code and make a commercial usage of the program? It seems clearly
> incompatible to me.
What GPL??? xkeyboard-config is licensed under X11 license.
Comment 18 Gaëtan Lehmann 2008-08-05 00:54:18 UTC
(In reply to comment #17)
> > I must disagree with you on that point: being the first french dvorak layout
> > gives to Francis the right to take the “Dvorak-Fr” name, but it doesn't
> > give him the status of the french dvorak layout,
> Is there some body which would approve the "dvorak" name usage? We can argue
> till the rest of our lives...

sure - I only wanted to expose another way to see things.

> 
> > suggest. In my opinion, a variant of the original Dvorak layout, like the
> > dvoraj-fr, would be a better candidate for the name “dvorak” in the french
> > section.
> Since historically (CMIIW), joselline's variant was a derivative, I'd prefer to
> see it that way:
> 
> - "dvorak" variant pointing to Francis's version
> - "dvoraj" variant pointing to Joselline's version. I'd love to see it
> implemented as "include "dvorak" + all the changes which Joselline thinks might
> be necessary.
> 
> Joselline, would you mind that scheme? Would you be able to make a patch for
> it?

dvoraj-fr is not Josselin's layout, it is a variant of the original (English) Dvorak layout adapted to the French language - see http://www.aoeui.fr. Francis' layout or fr-dvorak-bepo are not derived from Dvorak's layout - they are only made with similar methods. Josselin's layout is mainly an (unauthorized) copy of Francis' work with a few accented vowels under the right (wrong) hand and no dead key.

I'm afraid the situation is not simple on french dvorak layouts side...

> 
> > Josselin's layout though, so maybe another option would be possible, like
> > tagging the “dvorak” variant as deprecated or something like that? 
> Technically, there is no "deprecated" tag for the variants.
> 
> > Also, I feel that further clarification is needed in the driver about the
> > license: how can it be diffused as part of a GPL program, which allow to modify
> > the code and make a commercial usage of the program? It seems clearly
> > incompatible to me.
> What GPL??? xkeyboard-config is licensed under X11 license.
> 

Sorry, my (stupid) mistake - please substitute the wrong GPL license by the X11 one in my sentence: how can it be diffused as part of a X11 program, which allow to modify the code and make a commercial usage of the program?

Gaëtan
Comment 19 Sergey V. Udaltsov 2008-08-06 16:58:21 UTC
> > Is there some body which would approve the "dvorak" name usage? We can argue
> > till the rest of our lives...
> sure - I only wanted to expose another way to see things.
Ok, thanks:) Now that you explained about dvoraj-fr, I see.

> dvoraj-fr is not Josselin's layout, it is a variant of the original (English)
> Dvorak layout adapted to the French language - see http://www.aoeui.fr.
Sorry, I got confused... So, would the variant from that site be good enough for dvoraj-fr? I mean http://www.aoeui.fr/DvoraJ-fr.xkb

> are only made with similar methods. Josselin's layout is mainly an
> (unauthorized) copy of Francis' work with a few accented vowels under the right
> (wrong) hand and no dead key.
So, as it turns out, people do not really need Josselin's variant as such - now that we have Francis's one?

> I'm afraid the situation is not simple on french dvorak layouts side...
I would tend to agree...

> Sorry, my (stupid) mistake - please substitute the wrong GPL license by the X11
> one in my sentence: how can it be diffused as part of a X11 program, which
> allow to modify the code and make a commercial usage of the program?
As long as authors of the layout/variants are agree to use X11 (which is xkeyboard-config's license) - everything works as usual in xorg world. Otherwise I cannot accept materials into the project.
I do not quite understand your confusion. Yes X11 allows commercial usage, so what?
Comment 20 Fabien Cazenave 2008-08-07 05:37:53 UTC
Hi,

the DvoraJ-fr layout is a very recent project. As it's a free layout (X11 licence) it could be included in Xorg, but I'm worried about the fact that we'll probably move a few characters in the near future.

Besides, Francis' layout and the Bepo project both have required a lot more work than just adding a dead key to the standard Dvorak layout, so I feel like the pending questions about these two layouts should be resolved first (i.e. wether Francis' layout is to be included or not, which layout should deserve the "dvorak" name, etc.).
Comment 21 Sergey V. Udaltsov 2008-08-07 06:16:03 UTC
> the DvoraJ-fr layout is a very recent project. As it's a free layout (X11
> licence) it could be included in Xorg, but I'm worried about the fact that
> we'll probably move a few characters in the near future.
Sorry, just to understand... Who exactly is "we"?

> Besides, Francis' layout and the Bepo project both have required a lot more
> work than just adding a dead key to the standard Dvorak layout, so I feel like
> the pending questions about these two layouts should be resolved first (i.e.
> wether Francis' layout is to be included or not, which layout should deserve
> the "dvorak" name, etc.).
Would it be possible to organize discussion on some French site, come to some decision (accepted by majority of participants at least) - and come up with the final solution?

I do not mind you using bugzilla - but we used to talk English here, not French...
Comment 22 Fabien Cazenave 2008-08-07 07:32:58 UTC
> Sorry, just to understand... Who exactly is "we"?
"we" = Youssef Bocus and myself = the two authors of the DvoraJ-fr layout.
Comment 23 Fabien Cazenave 2008-08-07 08:04:58 UTC
I think the question is rather to know:
 * whether Francis' layout is acceptable in Xorg or not: the driver is released under X11 licence, but the layout itself remains in CC-NC-ND, which doesn't allow to modify the layout or to use it in a commercial way ;
 * whether Josselin's layout is acceptable in Xorg or not: this layout does not conform to Francis' CC-NC-ND licence, and might be illegal for that.

I've helped Francis to design a free (X11) driver for his layout so it could be included in Xorg. If Francis' layout is not acceptable in Xorg, Josselin's layout should be removed too, since it raises the same licence problems (besides, he didn't even get Francis' agreement to modify the Dvorak-fr layout).

It's clear to me that everybody here will want to have his layout in Xorg, and I *seriously* doubt that Francis + Josselin + the Bepo group could reach an agreement on this. I think you're the only one who could clarify the situation about the licence for Francis' and Josselin's layouts.
Comment 24 Gaëtan Lehmann 2008-08-07 08:25:03 UTC
(In reply to comment #19)

> > Sorry, my (stupid) mistake - please substitute the wrong GPL license by the X11
> > one in my sentence: how can it be diffused as part of a X11 program, which
> > allow to modify the code and make a commercial usage of the program?
> As long as authors of the layout/variants are agree to use X11 (which is
> xkeyboard-config's license) - everything works as usual in xorg world.
> Otherwise I cannot accept materials into the project.
> I do not quite understand your confusion. Yes X11 allows commercial usage, so
> what?
> 

NC in CC-NC-ND is for “Non Commercial”, and ND for “No Derivative Works”. According to CC, “You may not use this work for commercial purposes”, and “You may not alter, transform, or build upon this work”.

So if someone sell X11 - as part of a distro for ex. - it is a violation of the CC-NC-ND license. Here we have a conflict with X11 license.
On the other hand, if the X11 license doesn't conflict with CC-NC-ND license, then Josselin's layout is not illegal, and there's no reason to remove it from X.Org. Right?
Comment 25 Sergey V. Udaltsov 2008-08-08 15:11:18 UTC
> NC in CC-NC-ND is for “Non Commercial”, and ND for “No Derivative
> Works”. According to CC, “You may not use this work for commercial
> purposes”, and “You may not alter, transform, or build upon this work”.
I got impression Francis provided his layout (final version, comment #12) under X11 licence. Francis, am I wrong?
Comment 26 Francis Leboutte 2008-08-31 10:31:55 UTC
(In reply to comment #25)

Sorry for the delay, I’m just back from holidays.

The Dvorak-fr layout driver is provided under X11 licence. 
Here is what is stated in the driver file:
“Licence  : X11 (the layout itself is released under CC-NC-ND licence)”

I’m not a lawyer. I just hope this is enough to meet your requirements. 

Francis
PS
About the name, my layout is known under the name “Dvorak-fr” for a while, please don’t use anything else.


Comment 27 Sergey V. Udaltsov 2008-09-02 14:41:20 UTC
Well, I think at this point the issue with  Francis Leboutte's layout is kind of resolved (we got explicit X11 licensing statement). I would prefer to discuss DvoraJ-fr in a separate bug (feel free to open it when the patch is ready).

So I am closing this one 
Comment 28 Martin Raspaud 2008-11-17 13:03:08 UTC
Hi all,

I know I'm a bit late, but I use debian, so things take a bit longer to arrive on my computer...

So today I realized the dvorak-fr layout has changed.
I am a user of the old layout (by Josselin Mouette) and I really like it.
Now I was pretty disturbed with this new layout.

I see there are legal issues, but I would really like to have the old dvorak-fr layout. So would it be possible to include it again with another name ? 

Thanks !
Comment 29 Sergey V. Udaltsov 2008-11-18 13:55:24 UTC
Martin,

The issue is not with the name but with the fact that previous version was very close derivative of the Francis's work. I would be most willing to help you - but if Francis is not happy with that derivative, I do not want any legal troubles for the project. If/when Josselin and Frances settle the issue - feel free to contribute a patch (or at least reopen that bug).

Hopefully you understand my position.
Comment 30 Martin Raspaud 2008-11-19 02:31:43 UTC
Hi Sergei,

Thanks for taking time to reply.

Reading the thread more carefully, I understand indeed that it is not a matter of name.

However, I would like to point out that there are about 50% character positions in common between Francis's and Josselin's layouts, so does "very closely" apply here ?

Any how, as you said it's up to them to settle this issue, which most likely will not happen, but that is another question.

Thanks again !

Martin

PS: For those that like me are stuck with this "legal" layout while they do not like it, here is a fix to use the Josselin's layout:
- Copy the patch from http://cgit.freedesktop.org/xkeyboard-config/diff/symbols/fr?id=c8c60a6e5962a408b02c954d913bc7aa81c59b97
- Then remove all the lines starting with +
- Remove the '-' at the beginning of the other lines
- change 'xkb_symbols "dvorak"' to 'xkb_symbols "better"'
- Save the file (for examples as 'fr-better.xkb')
- Run 'xkbcomp -w0 fr-better.xkb $DISPLAY' either in the console or at session startup.
Comment 31 Francis Leboutte 2008-11-23 13:27:30 UTC
(In reply to comment #30)

> However, I would like to point out that there are about 50% character positions
> in common between Francis's and Josselin's layouts, so does "very closely"
> apply here ?

Sorry to post a message again but I can’t leave this allegation unanswered. Regarding the main part of the layout (the layout of the alphabetical characters), 25 letters reside in the same position. The 26th and last one (Z) has been moved one position to right in the JM layout. Which means the similarity is almost 100%. I don’t think it’s necessary to continue to discuss the matter further.
Comment 32 Antoine Amarilli 2009-01-18 03:00:05 UTC
Hi,

Like Martin, I am a user of Josselin's keyboard layout, and have no desire to switch to Francis'. I would therefore like Josselin's layout to be shipped with X.Org, under a different name if necessary.

Regarding licensing issues, assuming that a keyboard layout can indeed be protected by copyright (which I doubt, but I'm not a lawyer), it seems to me that Francis' layout should not be shipped with X.Org unless both the driver *and* the layout are released under a free software license. The right to modify the driver under the X11 license is worthless if any modification violates the layout's more restrictive CC-NC-ND license.

Indeed, any Linux distro which makes commercial use of the driver could be considered as - indirectly - using Francis' layout commercially, which once again violates the CC-NC-ND license.

Comment 33 Sergey V. Udaltsov 2009-01-18 03:29:55 UTC
> Like Martin, I am a user of Josselin's keyboard layout, and have no desire to
> switch to Francis'. I would therefore like Josselin's layout to be shipped with
> X.Org, under a different name if necessary.
I'm afraid we cannot do that without explicit permission from Francis. At least till we prove that Josselin's variant is not derivative.


> Indeed, any Linux distro which makes commercial use of the driver could be
> considered as - indirectly - using Francis' layout commercially, which once
> again violates the CC-NC-ND license.
I think having X11 statement should cover us. But IANAL. 

Comment 34 Antoine Amarilli 2009-01-18 03:47:55 UTC
Hi,

Thanks for answering.

> > Like Martin, I am a user of Josselin's keyboard layout, and have no desire to
> > switch to Francis'. I would therefore like Josselin's layout to be shipped with
> > X.Org, under a different name if necessary.

> I'm afraid we cannot do that without explicit permission from Francis. At least
> till we prove that Josselin's variant is not derivative.

OK.

> > Indeed, any Linux distro which makes commercial use of the driver could be
> > considered as - indirectly - using Francis' layout commercially, which once
> > again violates the CC-NC-ND license.

> I think having X11 statement should cover us. But IANAL. 

The X11 statement only applies to the driver, but the layout is released under CC-NC-ND. So any modification of the driver which counts as a modification of the layout is forbidden (ND), and any commercial distribution of the driver which counts as a commercial distribution of the layout is forbidden (NC).

If it were not so, Josselin's driver could count as a derivative of Francis' driver, which would be allowed (X11 license), but this does not seem to be the case (in Francis' opinion).

IANAL either, but IMHO, assuming again that layouts can be copyrighted, permission to distribute and modify the layout under the X11 license should be obtained from Francis for it to be shipped with X.Org. I do not see how one could use the driver commercially without indirectly using the layout commercially.
Comment 35 Sergey V. Udaltsov 2009-01-18 03:53:21 UTC
> IANAL either, but IMHO, assuming again that layouts can be copyrighted,
> permission to distribute and modify the layout under the X11 license should be
> obtained from Francis for it to be shipped with X.Org. I do not see how one
> could use the driver commercially without indirectly using the layout
> commercially.

There is no "driver" as such. There is a code in symbols/fr, which, according to Frances, is X11-licenced. I understand that original layout (not the code in xk-c) is covered by CC.
Comment 36 Olivier Cailloux 2010-03-26 12:15:52 UTC
IANAL, but I don't get why dvorak-fr from Francis Leboutte whose layout is under a non-free licence gets into xorg.

We can't create a derivative work based on this layout. We can't use this layout in a commercial project. Etc. I understand that the piece of software itself is not protected by the licence, only the underlying layout. But does this make dvorak-fr a free-as-in-free-speech thing ready for inclusion into xorg?

To put it otherwize: how can we pretend we are not bound by the layout licence terms (which is non-free) when we use / resell / modify the piece of software implementing that layout?

It is possible that the licence on the layout itself does not hold, as suggested hereabove, in which case there are no legal problems, including with the derivative work from Josselin Mouette.

AFAI see, there is no lawyer here. Considering the legal incertainty, I suggest dvorak-fr is removed from xorg (we can keep bepo, AFAIU this one is really free), until we can get a clear answer on the legal problem.

As long as dvorak-fr from Francis Leboutte is kept into xorg, users are encouraged (or at least risk) to use a non-free idea where free alternatives do exist.

Meanwhile, would you please consider reopening this bug? (Or should I create a new one?)
Comment 37 Antoine Amarilli 2010-03-26 16:25:21 UTC
(In reply to comment #36)
I (still) agree with this reasoning. I can only see two possible alternatives: either dvorak-fr-leboutte is free, in which case dvorak-fr-mouette is a perfecty legal derivative work which should be distributed with X.Org, or drovark-fr-leboutte isn't free, in which case it should not be distributed with X.Org.
Comment 38 Antoine Amarilli 2010-06-20 07:00:23 UTC
Reopening as per Olivier's request.
Comment 39 Sergey V. Udaltsov 2010-06-20 10:37:58 UTC
In March 2009, I got the following mail from Georg C. F. Greve (Free Software Foundation Europe)

---
Hi Sergey,

Since I was one of the interim/founding board members of X.Org that
helped to re-energise the X development, one of the Debian developers
asked me whether I could help resolve the situation they have been
discussing at

    http://lists.debian.org/debian-legal/2009/03/msg00053.html

which meanwhile made LWN.net. I hope we can somehow manage to resolve
the situation before it escalates too much.

As you may know, FSFE maintains an extensive legal network as part of
its legal activity (see http://fsfeurope.org/ftf) and we have several
experienced counsels who have been working with us for years.

When asking our internal team for opinion, FSFE's General Counsel came
back immediately with a fairly strong assessment that keyboard layouts
are not subject to copyright law due to lack of an original creative
work, and the interface exception, which appears valid on both sides of
the Atlantic, e.g. the Apple vs. Microsoft case.

Lack of copyright on the layout itself means that it cannot be licensed
CC-BY-ND despite claims to the contrary by Francis Leboutte. Copyright
only applies to the code of the driver itself, which I understand is not
being contested and licensed under MIT/X11.

So removal of copyright/licensing notes for the layout itself should
normally resolve the issue for X.Org and all downstream distributors.

Not being legal counsel myself, this does of course not constitute legal
advice, and if you wish to have this (or something else) looked at with
more detail, FSFE's Freedom Task Force would be an appropriate place to
contact, you can reach them via email to ftf@fsfeurope.org, or over the
web form at http://fsfeurope.org/projects/ftf/form.en.html

With best regards,
Georg

---

So, while I generally agree with that mail, I would ask Francis's comments on that. I would like to know if he insists that I have to get official legal advice from FSF lawyers - or could we settle the matter here.

If we all agree that layout (not code) is not copyrightable, it would make our discussion much simpler and very short
Comment 40 Sergey V. Udaltsov 2011-04-27 14:13:40 UTC
There is no answer for nearly a year here. I am removing the CC licensing info, as advised by the lawyers - and closing this bug. If there are more concerns - please feel free to comment.
Comment 41 Antoine Amarilli 2011-04-27 19:19:13 UTC
I do not understand what you mean by "removing the CC licensing info". Has Josselin Mouette's layout been integrated back into X.Org as a useful derivative of the X-11-licensed layout by Francis Leboutte, or has Leboutte's layout been removed from the X-11 distribution as non-free? I do not see how any other option could be a sensible way to close this issue.
Comment 42 Sergey V. Udaltsov 2011-04-28 00:44:19 UTC
The layout fr(dvorak) is there. I just removed from the comments mentioning of CC license, that does not make legal sense.
Comment 43 Antoine Amarilli 2011-04-28 21:05:14 UTC
This is the layout by Francis Leboutte, right? What about the layout by Josselin Mouette? If the CC licensing doesn't make sense, then surely it can be added back? (It was removed because it violated Francis' bogus CC claims.)
Comment 44 Sergey V. Udaltsov 2011-04-29 00:06:27 UTC
> This is the layout by Francis Leboutte, right? 
Yes, that's my understanding
> What about the layout by Josselin Mouette?
Well, this is a good question. If that layout is a variation of the layout by Francis - should it be in the codebase? Do we need both variations? Or, may be, the 2nd one could be put into "extras"?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.